Draft WireToBSpline: Difference between revisions

From FreeCAD Documentation
(The tool is not active if no object is selected)
(See also Draft API, Scripting basics)
Line 32: Line 32:


==Scripting== <!--T:8-->
==Scripting== <!--T:8-->
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


<!--T:9-->
<!--T:9-->

Revision as of 01:40, 14 November 2018

Draft WireToBSpline

Menu location
Drafting → Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Wire, Draft BSpline

Description

This tool converts Draft Wires to Draft BSplines, and vice-versa.

How to use

  1. Select a Draft Wire or a Draft BSpline.
  2. Press the Draft WireToBSpline button.

The tool is not active if no object is selected.

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
  • if the active object is a bspline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)